set fault=D:\Data\chinafaults_Tapponier_Xu.txt
set block=D:\Data\block2_cn.txt
set block1=D:\Data\block1_cn.txt
set boundary=D:\Data\boundary\china_br.txt

makecpt -Cwysiwyg -I -T19/25/0.001 -D> viscosity.cpt
set cpt=viscosity.cpt
rem***********************************************************
gmtset BASEMAP_TYPE plain

set r=-R96/106/20/33

set J=-JM3i -K -P
set B=-Ba2f2WSen
set data1=output_25.txt
set data2=output_50.txt
set data3=output_75.txt
set data4=output_100.txt

set ps=viscosity_shi_new.ps

rem***********data1*********************************************
gawk "{print $2,$1,$9}" %data1% | blockmean %r% -I1 > data1.xyz
surface data1.xyz %r% -I0.01 -Gdata1.grd=nd -V
grdimage data1.grd %r% %J% %B% -C%cpt% -V -X0.6i -Y7.0i > %ps%
psxy %fault% %J% %r% -O -M"nan nan" -W1 >> %ps%
echo 96 21 16 0 0 4 25km | pstext %r% %J% -O >> %ps%
psscale -D6.9i/-0.5i/6i/0.1i -B1 -C%cpt% -O -K -E -V >> %ps%

rem***********data2*********************************************
gawk "{print $2,$1,$9}" %data2% | blockmean %r% -I1 > data2.xyz
surface data2.xyz %r% -I0.01 -Gdata2.grd=nd -V
grdimage data2.grd %r% %J% %B% -C%cpt% -V -X3.6i -O >> %ps%
psxy %fault% %J% %r% -O -M"nan nan" -W1 >> %ps%
echo 96 21 16 0 0 4 50km | pstext %r% %J% -O >> %ps%

rem***********data3*********************************************
gawk "{print $2,$1,$9}" %data3% | blockmean %r% -I1 > data3.xyz
surface data3.xyz %r% -I0.01 -Gdata3.grd=nd -V
grdimage data3.grd %r% %J% %B% -C%cpt% -V -X-3.6 -Y-4.8i -O >> %ps%
psxy %fault% %J% %r% -O -M"nan nan" -W1 >> %ps%
echo 96 21 16 0 0 4 75km | pstext %r% %J% -O >> %ps%

rem***********data4*********************************************
gawk "{print $2,$1,$9}" %data4% | blockmean %r% -I1 > data4.xyz
surface data4.xyz %r% -I0.01 -Gdata4.grd=nd -V
grdimage data4.grd %r% %J% %B% -C%cpt% -V -X3.6i -O >> %ps%
psxy %fault% %J% %r% -O -M"nan nan" -W1 >> %ps%
echo 96 21 16 0 0 4 100km | pstext %r% %J% -O >> %ps%

del data1.xyz data1.grd data2.xyz data2.grd data3.xyz data3.grd data4.xyz data4.grd